{% extends 'base.html' %}

{% block header %}
  <h2>{% block title %}Personal Timesheet{% endblock title%}</h2>
  {% for category, message in get_flashed_messages(with_categories=true)%}
    <div class="flash {{ category }}">{{ message }}</div>
  {% endfor %}
{% endblock header%}

{% block content %}
  {% for al in allocations %}
    <div class="allocation-container">
      <h3>{{ al["PROJECT"] }}</h3>
      <p>Allocated Hours: {{ al["ASSIGNED_HOURS"] }}</p>
      <p>Worked Hours: {{ al["HOURS_WORKED"] }}</p>
      <p>Remaining Hours: {{ al["ASSIGNED_HOURS"] - al["HOURS_WORKED"] }}</p>
    </div>
  {% endfor %}
{% endblock content %}
